/store-carts-post-one¶
Summary¶
Source repository:
jef-systems/jef-store-backendSource SHA:
51d8f54b03209213e4a08efd91d0aec0ff5db1e0Source run id:
28375175269Lambda function:
jef-store-carts-post-oneHTTP method:
POSTAPI path:
/store-carts-post-oneEndpoint URL:
https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-post-onePayload mode:
json-body
Description¶
|
jef-store-carts-post-one Logical ID: jef-store:jef-store-carts:post-one Order Number: 001 |
|
jef-store |
|
post-one |
|
POST |
|
ASYNC |
|
/store-carts-post-one Endpoint Name: jef-store-carts-post-one |
|
jef-store-carts |
|
cart_id |
API Gateway Response¶
|
202 |
|
Request accepted for asynchronous processing. |
Payload Example¶
|
a455ad4e-0172-4641-9693-c9860481facd |
|
427d5b66-c1b7-4a05-a523-ab1923d6565b |
|
a4b3c030-0399-444c-a966-e30ff3e93846 |
|
1e7acfee-712a-4696-aadd-19d9046133f4 |
|
value-001 |
|
value-001 |
|
1 |
|
1 |
|
1 |
|
1 |
|
1 |
|
True |
|
True |
|
2026-06-29T13:20:01Z |
|
2026-06-29T13:20:01Z |
|
2026-06-29T13:20:01Z |
|
value-001 |
|
1 |
|
1 |
|
e0ba065f-7b5c-43ef-8feb-9438dad0a023 |
|
a455ad4e-0172-4641-9693-c9860481facd |
|
290c65a7-4702-42c2-a94f-05395ad80c03 |
|
f14bc0e5-183f-4db9-a102-9cdef9de3b47 |
|
value-001 |
|
Sample Name |
|
1 |
|
1 |
|
1 |
|
1 |
|
True |
|
True |
|
True |
|
2026-06-29T13:20:01Z |
|
2026-06-29T13:20:01Z |
|
2026-06-29T13:20:01Z |
|
value-001 |
|
1 |
|
1 |
Payload Schema¶
{
"type": "object",
"additionalProperties": "False",
"payload_mode": "parent-plus-children-wrapper",
"allow_children_wrapper": "True",
"children_wrapper_field": "children",
"allow_batch": "False",
"table": "jef-store-carts",
"primary_key": "cart_id",
"required[0]": "entity_number",
"required[1]": "employee_number",
"required[2]": "customer_number",
"required[3]": "order_mode",
"required[4]": "cart_status",
"required[5]": "subtotal",
"required[6]": "shipping_fee",
"required[7]": "discount",
"required[8]": "grand_total",
"required[9]": "total_quantity",
"required[10]": "is_deleted",
"required[11]": "deleted_at",
"required[12]": "idempotency_key",
"required[13]": "schema_version",
"required[14]": "version",
"properties.cart_id.field": "cart_id",
"properties.cart_id.type": "S",
"properties.cart_id.required": "False",
"properties.cart_id.source_required": "True",
"properties.cart_id.server_generated": "True",
"properties.cart_id.autogenerated": "False",
"properties.cart_id.frontend_autocomputed": "False",
"properties.cart_id.format": "uuidv4",
"properties.cart_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.entity_number.field": "entity_number",
"properties.entity_number.type": "S",
"properties.entity_number.required": "True",
"properties.entity_number.source_required": "True",
"properties.entity_number.server_generated": "True",
"properties.entity_number.autogenerated": "False",
"properties.entity_number.frontend_autocomputed": "False",
"properties.entity_number.format": "uuidv4",
"properties.entity_number.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.employee_number.field": "employee_number",
"properties.employee_number.type": "S",
"properties.employee_number.required": "True",
"properties.employee_number.source_required": "True",
"properties.employee_number.server_generated": "True",
"properties.employee_number.autogenerated": "False",
"properties.employee_number.frontend_autocomputed": "False",
"properties.employee_number.format": "uuidv4",
"properties.employee_number.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.customer_number.field": "customer_number",
"properties.customer_number.type": "S",
"properties.customer_number.required": "True",
"properties.customer_number.source_required": "True",
"properties.customer_number.server_generated": "True",
"properties.customer_number.autogenerated": "False",
"properties.customer_number.frontend_autocomputed": "False",
"properties.customer_number.format": "uuidv4",
"properties.customer_number.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.order_mode.field": "order_mode",
"properties.order_mode.type": "S",
"properties.order_mode.required": "True",
"properties.order_mode.source_required": "True",
"properties.order_mode.server_generated": "False",
"properties.order_mode.autogenerated": "False",
"properties.order_mode.frontend_autocomputed": "False",
"properties.order_mode.regex": "^[A-Za-z0-9_-]{1,64}$",
"properties.cart_status.field": "cart_status",
"properties.cart_status.type": "S",
"properties.cart_status.required": "True",
"properties.cart_status.source_required": "True",
"properties.cart_status.server_generated": "False",
"properties.cart_status.autogenerated": "False",
"properties.cart_status.frontend_autocomputed": "False",
"properties.cart_status.regex": "^[A-Za-z0-9_-]{1,64}$",
"properties.subtotal.field": "subtotal",
"properties.subtotal.type": "N",
"properties.subtotal.required": "True",
"properties.subtotal.source_required": "True",
"properties.subtotal.server_generated": "False",
"properties.subtotal.autogenerated": "False",
"properties.subtotal.frontend_autocomputed": "False",
"properties.subtotal.regex": "^-?\\d+(\\.\\d+)?$",
"properties.shipping_fee.field": "shipping_fee",
"properties.shipping_fee.type": "N",
"properties.shipping_fee.required": "True",
"properties.shipping_fee.source_required": "True",
"properties.shipping_fee.server_generated": "False",
"properties.shipping_fee.autogenerated": "False",
"properties.shipping_fee.frontend_autocomputed": "False",
"properties.shipping_fee.regex": "^-?\\d+(\\.\\d+)?$",
"properties.discount.field": "discount",
"properties.discount.type": "N",
"properties.discount.required": "True",
"properties.discount.source_required": "True",
"properties.discount.server_generated": "False",
"properties.discount.autogenerated": "False",
"properties.discount.frontend_autocomputed": "False",
"properties.discount.regex": "^-?\\d+(\\.\\d+)?$",
"properties.grand_total.field": "grand_total",
"properties.grand_total.type": "N",
"properties.grand_total.required": "True",
"properties.grand_total.source_required": "True",
"properties.grand_total.server_generated": "False",
"properties.grand_total.autogenerated": "False",
"properties.grand_total.frontend_autocomputed": "False",
"properties.grand_total.regex": "^-?\\d+(\\.\\d+)?$",
"properties.total_quantity.field": "total_quantity",
"properties.total_quantity.type": "N",
"properties.total_quantity.required": "True",
"properties.total_quantity.source_required": "True",
"properties.total_quantity.server_generated": "False",
"properties.total_quantity.autogenerated": "False",
"properties.total_quantity.frontend_autocomputed": "False",
"properties.total_quantity.regex": "^\\d+$",
"properties.is_active.field": "is_active",
"properties.is_active.type": "BOOL",
"properties.is_active.required": "False",
"properties.is_active.source_required": "True",
"properties.is_active.server_generated": "True",
"properties.is_active.autogenerated": "False",
"properties.is_active.frontend_autocomputed": "False",
"properties.is_active.regex": "^(true|false)$",
"properties.is_deleted.field": "is_deleted",
"properties.is_deleted.type": "BOOL",
"properties.is_deleted.required": "True",
"properties.is_deleted.source_required": "True",
"properties.is_deleted.server_generated": "True",
"properties.is_deleted.autogenerated": "False",
"properties.is_deleted.frontend_autocomputed": "False",
"properties.is_deleted.regex": "^(true|false)$",
"properties.deleted_at.field": "deleted_at",
"properties.deleted_at.type": "S",
"properties.deleted_at.required": "True",
"properties.deleted_at.source_required": "True",
"properties.deleted_at.server_generated": "True",
"properties.deleted_at.autogenerated": "False",
"properties.deleted_at.frontend_autocomputed": "False",
"properties.deleted_at.format": "iso8601",
"properties.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"properties.created.field": "created",
"properties.created.type": "S",
"properties.created.required": "False",
"properties.created.source_required": "True",
"properties.created.server_generated": "True",
"properties.created.autogenerated": "False",
"properties.created.frontend_autocomputed": "False",
"properties.created.format": "iso8601",
"properties.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"properties.updated.field": "updated",
"properties.updated.type": "S",
"properties.updated.required": "False",
"properties.updated.source_required": "True",
"properties.updated.server_generated": "True",
"properties.updated.autogenerated": "False",
"properties.updated.frontend_autocomputed": "False",
"properties.updated.format": "iso8601",
"properties.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"properties.idempotency_key.field": "idempotency_key",
"properties.idempotency_key.type": "S",
"properties.idempotency_key.required": "True",
"properties.idempotency_key.source_required": "True",
"properties.idempotency_key.server_generated": "True",
"properties.idempotency_key.autogenerated": "False",
"properties.idempotency_key.frontend_autocomputed": "False",
"properties.idempotency_key.regex": "^.{1,300}$",
"properties.schema_version.field": "schema_version",
"properties.schema_version.type": "N",
"properties.schema_version.required": "True",
"properties.schema_version.source_required": "True",
"properties.schema_version.server_generated": "False",
"properties.schema_version.autogenerated": "False",
"properties.schema_version.frontend_autocomputed": "False",
"properties.schema_version.regex": "^\\d+$",
"properties.version.field": "version",
"properties.version.type": "N",
"properties.version.required": "True",
"properties.version.source_required": "True",
"properties.version.server_generated": "False",
"properties.version.autogenerated": "False",
"properties.version.frontend_autocomputed": "False",
"properties.version.regex": "^\\d+$",
"children[0].parent_table": "jef-store-carts",
"children[0].child_table": "jef-store-cart-items",
"children[0].parent_key": "cart_id",
"children[0].child_foreign_key": "cart_id",
"children[0].child_index_name": "gsi_1",
"children[0].child_index_key": "gsi_1_pk",
"children[0].aliases[0]": "jef-store-cart-items",
"children[0].aliases[1]": "cart-items",
"children[0].aliases[2]": "store-cart-items",
"children[0].aliases[3]": "jef_store_cart_items",
"children[0].aliases[4]": "cart_items",
"children[0].aliases[5]": "store_cart_items",
"children[0].aliases[6]": "items",
"root.type": "object",
"root.attributes.cart_id.field": "cart_id",
"root.attributes.cart_id.type": "S",
"root.attributes.cart_id.required": "False",
"root.attributes.cart_id.source_required": "True",
"root.attributes.cart_id.server_generated": "True",
"root.attributes.cart_id.autogenerated": "False",
"root.attributes.cart_id.frontend_autocomputed": "False",
"root.attributes.cart_id.format": "uuidv4",
"root.attributes.cart_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.entity_number.field": "entity_number",
"root.attributes.entity_number.type": "S",
"root.attributes.entity_number.required": "True",
"root.attributes.entity_number.source_required": "True",
"root.attributes.entity_number.server_generated": "True",
"root.attributes.entity_number.autogenerated": "False",
"root.attributes.entity_number.frontend_autocomputed": "False",
"root.attributes.entity_number.format": "uuidv4",
"root.attributes.entity_number.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.employee_number.field": "employee_number",
"root.attributes.employee_number.type": "S",
"root.attributes.employee_number.required": "True",
"root.attributes.employee_number.source_required": "True",
"root.attributes.employee_number.server_generated": "True",
"root.attributes.employee_number.autogenerated": "False",
"root.attributes.employee_number.frontend_autocomputed": "False",
"root.attributes.employee_number.format": "uuidv4",
"root.attributes.employee_number.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.customer_number.field": "customer_number",
"root.attributes.customer_number.type": "S",
"root.attributes.customer_number.required": "True",
"root.attributes.customer_number.source_required": "True",
"root.attributes.customer_number.server_generated": "True",
"root.attributes.customer_number.autogenerated": "False",
"root.attributes.customer_number.frontend_autocomputed": "False",
"root.attributes.customer_number.format": "uuidv4",
"root.attributes.customer_number.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.order_mode.field": "order_mode",
"root.attributes.order_mode.type": "S",
"root.attributes.order_mode.required": "True",
"root.attributes.order_mode.source_required": "True",
"root.attributes.order_mode.server_generated": "False",
"root.attributes.order_mode.autogenerated": "False",
"root.attributes.order_mode.frontend_autocomputed": "False",
"root.attributes.order_mode.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.cart_status.field": "cart_status",
"root.attributes.cart_status.type": "S",
"root.attributes.cart_status.required": "True",
"root.attributes.cart_status.source_required": "True",
"root.attributes.cart_status.server_generated": "False",
"root.attributes.cart_status.autogenerated": "False",
"root.attributes.cart_status.frontend_autocomputed": "False",
"root.attributes.cart_status.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.subtotal.field": "subtotal",
"root.attributes.subtotal.type": "N",
"root.attributes.subtotal.required": "True",
"root.attributes.subtotal.source_required": "True",
"root.attributes.subtotal.server_generated": "False",
"root.attributes.subtotal.autogenerated": "False",
"root.attributes.subtotal.frontend_autocomputed": "False",
"root.attributes.subtotal.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.shipping_fee.field": "shipping_fee",
"root.attributes.shipping_fee.type": "N",
"root.attributes.shipping_fee.required": "True",
"root.attributes.shipping_fee.source_required": "True",
"root.attributes.shipping_fee.server_generated": "False",
"root.attributes.shipping_fee.autogenerated": "False",
"root.attributes.shipping_fee.frontend_autocomputed": "False",
"root.attributes.shipping_fee.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.discount.field": "discount",
"root.attributes.discount.type": "N",
"root.attributes.discount.required": "True",
"root.attributes.discount.source_required": "True",
"root.attributes.discount.server_generated": "False",
"root.attributes.discount.autogenerated": "False",
"root.attributes.discount.frontend_autocomputed": "False",
"root.attributes.discount.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.grand_total.field": "grand_total",
"root.attributes.grand_total.type": "N",
"root.attributes.grand_total.required": "True",
"root.attributes.grand_total.source_required": "True",
"root.attributes.grand_total.server_generated": "False",
"root.attributes.grand_total.autogenerated": "False",
"root.attributes.grand_total.frontend_autocomputed": "False",
"root.attributes.grand_total.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.total_quantity.field": "total_quantity",
"root.attributes.total_quantity.type": "N",
"root.attributes.total_quantity.required": "True",
"root.attributes.total_quantity.source_required": "True",
"root.attributes.total_quantity.server_generated": "False",
"root.attributes.total_quantity.autogenerated": "False",
"root.attributes.total_quantity.frontend_autocomputed": "False",
"root.attributes.total_quantity.regex": "^\\d+$",
"root.attributes.is_active.field": "is_active",
"root.attributes.is_active.type": "BOOL",
"root.attributes.is_active.required": "False",
"root.attributes.is_active.source_required": "True",
"root.attributes.is_active.server_generated": "True",
"root.attributes.is_active.autogenerated": "False",
"root.attributes.is_active.frontend_autocomputed": "False",
"root.attributes.is_active.regex": "^(true|false)$",
"root.attributes.is_deleted.field": "is_deleted",
"root.attributes.is_deleted.type": "BOOL",
"root.attributes.is_deleted.required": "True",
"root.attributes.is_deleted.source_required": "True",
"root.attributes.is_deleted.server_generated": "True",
"root.attributes.is_deleted.autogenerated": "False",
"root.attributes.is_deleted.frontend_autocomputed": "False",
"root.attributes.is_deleted.regex": "^(true|false)$",
"root.attributes.deleted_at.field": "deleted_at",
"root.attributes.deleted_at.type": "S",
"root.attributes.deleted_at.required": "True",
"root.attributes.deleted_at.source_required": "True",
"root.attributes.deleted_at.server_generated": "True",
"root.attributes.deleted_at.autogenerated": "False",
"root.attributes.deleted_at.frontend_autocomputed": "False",
"root.attributes.deleted_at.format": "iso8601",
"root.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.created.field": "created",
"root.attributes.created.type": "S",
"root.attributes.created.required": "False",
"root.attributes.created.source_required": "True",
"root.attributes.created.server_generated": "True",
"root.attributes.created.autogenerated": "False",
"root.attributes.created.frontend_autocomputed": "False",
"root.attributes.created.format": "iso8601",
"root.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.updated.field": "updated",
"root.attributes.updated.type": "S",
"root.attributes.updated.required": "False",
"root.attributes.updated.source_required": "True",
"root.attributes.updated.server_generated": "True",
"root.attributes.updated.autogenerated": "False",
"root.attributes.updated.frontend_autocomputed": "False",
"root.attributes.updated.format": "iso8601",
"root.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.idempotency_key.field": "idempotency_key",
"root.attributes.idempotency_key.type": "S",
"root.attributes.idempotency_key.required": "True",
"root.attributes.idempotency_key.source_required": "True",
"root.attributes.idempotency_key.server_generated": "True",
"root.attributes.idempotency_key.autogenerated": "False",
"root.attributes.idempotency_key.frontend_autocomputed": "False",
"root.attributes.idempotency_key.regex": "^.{1,300}$",
"root.attributes.schema_version.field": "schema_version",
"root.attributes.schema_version.type": "N",
"root.attributes.schema_version.required": "True",
"root.attributes.schema_version.source_required": "True",
"root.attributes.schema_version.server_generated": "False",
"root.attributes.schema_version.autogenerated": "False",
"root.attributes.schema_version.frontend_autocomputed": "False",
"root.attributes.schema_version.regex": "^\\d+$",
"root.attributes.version.field": "version",
"root.attributes.version.type": "N",
"root.attributes.version.required": "True",
"root.attributes.version.source_required": "True",
"root.attributes.version.server_generated": "False",
"root.attributes.version.autogenerated": "False",
"root.attributes.version.frontend_autocomputed": "False",
"root.attributes.version.regex": "^\\d+$"
}
Response Schema¶
{
"type": "object",
"properties.ok.type": "boolean",
"properties.accepted.type": "boolean",
"properties.is_committed.type": "boolean",
"properties.request_id.type": "string",
"properties.message.type": "string",
"properties.table.type": "string",
"properties.operation.type": "string",
"properties.primary_key.type": "string",
"properties.primary_key_value.type": "string",
"properties.item_write_count.type": "number",
"properties.child_write_count.type": "number"
}
Request Payload¶
{
"cart_id": "a455ad4e-0172-4641-9693-c9860481facd",
"entity_number": "427d5b66-c1b7-4a05-a523-ab1923d6565b",
"employee_number": "a4b3c030-0399-444c-a966-e30ff3e93846",
"customer_number": "1e7acfee-712a-4696-aadd-19d9046133f4",
"order_mode": "value-001",
"cart_status": "value-001",
"subtotal": "1",
"shipping_fee": "1",
"discount": "1",
"grand_total": "1",
"total_quantity": "1",
"is_active": "True",
"is_deleted": "True",
"deleted_at": "2026-06-29T13:20:01Z",
"created": "2026-06-29T13:20:01Z",
"updated": "2026-06-29T13:20:01Z",
"idempotency_key": "value-001",
"schema_version": "1",
"version": "1",
"children.jef-store-cart-items[0].cart_item_id": "e0ba065f-7b5c-43ef-8feb-9438dad0a023",
"children.jef-store-cart-items[0].cart_id": "a455ad4e-0172-4641-9693-c9860481facd",
"children.jef-store-cart-items[0].entity_number": "290c65a7-4702-42c2-a94f-05395ad80c03",
"children.jef-store-cart-items[0].product_number": "f14bc0e5-183f-4db9-a102-9cdef9de3b47",
"children.jef-store-cart-items[0].sku": "value-001",
"children.jef-store-cart-items[0].product_name": "Sample Name",
"children.jef-store-cart-items[0].unit_price": "1",
"children.jef-store-cart-items[0].quantity": "1",
"children.jef-store-cart-items[0].stock_quantity_snapshot": "1",
"children.jef-store-cart-items[0].line_total": "1",
"children.jef-store-cart-items[0].is_selected": "True",
"children.jef-store-cart-items[0].is_active": "True",
"children.jef-store-cart-items[0].is_deleted": "True",
"children.jef-store-cart-items[0].deleted_at": "2026-06-29T13:20:01Z",
"children.jef-store-cart-items[0].created": "2026-06-29T13:20:01Z",
"children.jef-store-cart-items[0].updated": "2026-06-29T13:20:01Z",
"children.jef-store-cart-items[0].idempotency_key": "value-001",
"children.jef-store-cart-items[0].schema_version": "1",
"children.jef-store-cart-items[0].version": "1"
}
Response¶
{
"type": "object",
"properties.ok.type": "boolean",
"properties.accepted.type": "boolean",
"properties.is_committed.type": "boolean",
"properties.request_id.type": "string",
"properties.message.type": "string",
"properties.table.type": "string",
"properties.operation.type": "string",
"properties.primary_key.type": "string",
"properties.primary_key_value.type": "string",
"properties.item_write_count.type": "number",
"properties.child_write_count.type": "number"
}
CMD curl¶
curl -X POST "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-post-one" -H "Content-Type: application/json" --data-raw "{\"cart_id\": \"a455ad4e-0172-4641-9693-c9860481facd\", \"entity_number\": \"427d5b66-c1b7-4a05-a523-ab1923d6565b\", \"employee_number\": \"a4b3c030-0399-444c-a966-e30ff3e93846\", \"customer_number\": \"1e7acfee-712a-4696-aadd-19d9046133f4\", \"order_mode\": \"value-001\", \"cart_status\": \"value-001\", \"subtotal\": 1, \"shipping_fee\": 1, \"discount\": 1, \"grand_total\": 1, \"total_quantity\": 1, \"is_active\": true, \"is_deleted\": true, \"deleted_at\": \"2026-06-29T13:20:01Z\", \"created\": \"2026-06-29T13:20:01Z\", \"updated\": \"2026-06-29T13:20:01Z\", \"idempotency_key\": \"value-001\", \"schema_version\": 1, \"version\": 1, \"children\": {\"jef-store-cart-items\": [{\"cart_item_id\": \"e0ba065f-7b5c-43ef-8feb-9438dad0a023\", \"cart_id\": \"a455ad4e-0172-4641-9693-c9860481facd\", \"entity_number\": \"290c65a7-4702-42c2-a94f-05395ad80c03\", \"product_number\": \"f14bc0e5-183f-4db9-a102-9cdef9de3b47\", \"sku\": \"value-001\", \"product_name\": \"Sample Name\", \"unit_price\": 1, \"quantity\": 1, \"stock_quantity_snapshot\": 1, \"line_total\": 1, \"is_selected\": true, \"is_active\": true, \"is_deleted\": true, \"deleted_at\": \"2026-06-29T13:20:01Z\", \"created\": \"2026-06-29T13:20:01Z\", \"updated\": \"2026-06-29T13:20:01Z\", \"idempotency_key\": \"value-001\", \"schema_version\": 1, \"version\": 1}]}}"
PowerShell curl¶
curl.exe -X POST "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-post-one" -H "Content-Type: application/json" --data-raw '{"cart_id": "a455ad4e-0172-4641-9693-c9860481facd", "entity_number": "427d5b66-c1b7-4a05-a523-ab1923d6565b", "employee_number": "a4b3c030-0399-444c-a966-e30ff3e93846", "customer_number": "1e7acfee-712a-4696-aadd-19d9046133f4", "order_mode": "value-001", "cart_status": "value-001", "subtotal": 1, "shipping_fee": 1, "discount": 1, "grand_total": 1, "total_quantity": 1, "is_active": true, "is_deleted": true, "deleted_at": "2026-06-29T13:20:01Z", "created": "2026-06-29T13:20:01Z", "updated": "2026-06-29T13:20:01Z", "idempotency_key": "value-001", "schema_version": 1, "version": 1, "children": {"jef-store-cart-items": [{"cart_item_id": "e0ba065f-7b5c-43ef-8feb-9438dad0a023", "cart_id": "a455ad4e-0172-4641-9693-c9860481facd", "entity_number": "290c65a7-4702-42c2-a94f-05395ad80c03", "product_number": "f14bc0e5-183f-4db9-a102-9cdef9de3b47", "sku": "value-001", "product_name": "Sample Name", "unit_price": 1, "quantity": 1, "stock_quantity_snapshot": 1, "line_total": 1, "is_selected": true, "is_active": true, "is_deleted": true, "deleted_at": "2026-06-29T13:20:01Z", "created": "2026-06-29T13:20:01Z", "updated": "2026-06-29T13:20:01Z", "idempotency_key": "value-001", "schema_version": 1, "version": 1}]}}'